package cn.superdesk.data.extract.controller;


import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import cn.superdesk.data.extract.service.flsc.*;


/**
 * @author xc
 * @description
 * @date 2023/3/8 16:22
 */
@RestController
@RequestMapping("/operate/full/data")
@RequiredArgsConstructor
@Slf4j
public class FullDataHandleController {
    private final FlscShopOrderService flscShopOrderService;
    private final FlscShopThirdOrderPayService flscShopThirdOrderPayService;
    private final FlscShopOperatorsUserService flscShopOperatorsUserService;
    private final FlscShopOrderRefundService flscShopOrderRefundService;
    private final FlscShopThirdOrderRefundService flscShopThirdOrderRefundService;
    private final FlscShopOrderGoodsService flscShopOrderGoodsService;

    /**
     * 全量处理福利商城正单订单数据
     * 包含 福利商城、前台优选、京东订单
     *
     * @return
     */
    @GetMapping("/flscOrder")
    public String handleAllOrder() {
        flscShopOrderService.handleAllOrder();
        return "开始处理";
    }

    /**
     * 全量处理第三方订单数据（蜂助手）
     *
     * @return
     */
    @GetMapping("/thirdOrderFzs")
    public String handleAllThirdOrder() {
        flscShopThirdOrderPayService.handleAllOrder();
        return "开始处理";
    }

    /**
     * 全量处理福利商城运营商
     *
     * @return
     */
    @GetMapping("/flscOperator")
    public String handleAllOperators() {
        flscShopOperatorsUserService.handleAllOperators();
        return "开始处理";
    }

    /**
     * 全量处理福利商城退单
     * @return
     */
    @GetMapping("/flscRefundOrder")
    public String handleAllRefundOrder() {
        flscShopOrderRefundService.handleAllRefundOrder();
        return "开始处理";
    }

    /**
     * 全量处理第三方退单（蜂助手）
     * @return
     */
    @GetMapping("/thirdRefundOrderFzs")
    public String handleAllRefundThirdOrder() {
        flscShopThirdOrderRefundService.handleAllRefundThirdOrder();
        return "开始处理";
    }

    /**
     * 全量处理福利商城订单商品
     * @return
     */
    @GetMapping("/flscOrderGoods")
    public String handleAllOrderGoods() {
        flscShopOrderGoodsService.handleAllOrderGoods();
        return "开始处理";
    }

    /**
     * 全量处理第三方（蜂助手）订单商品 & 退单商品
     * @return
     */
    @GetMapping("/thirdOrderGoodsFzs")
    public String handleAllThirdOrderGoods() {
        flscShopThirdOrderPayService.handleAllThirdOrderGoods();
        return "开始处理";
    }

}
