package cn.superdesk.data.extract.enums.flsc;

/**
 * @author xc
 * @description
 * @date 2023/3/21 15:16
 */
public enum FlscAfterSaleTypeEnum {
    退货(0, "退货", 0, "退货"),
    换货(1, "换货", 1, "换货"),
    维修(2, "维修", 2, "维修"),
    退货退款(3, "退货退款", 3,"退货退款"),
    ;
    private final Integer code;
    private final String desc;
    private final Integer opAfterSaleTypeId;//对应运营中心售后类型id
    private final String opAfterSaleTypeName;//对应运营中心售后类型名称

    FlscAfterSaleTypeEnum(Integer code, String desc, Integer opAfterSaleTypeId, String opAfterSaleTypeName) {
        this.code = code;
        this.desc = desc;
        this.opAfterSaleTypeId = opAfterSaleTypeId;
        this.opAfterSaleTypeName = opAfterSaleTypeName;
    }

    public static Integer getOpAfterSaleTypeIdByBizId(Integer rtype) {
        for (FlscAfterSaleTypeEnum value : values()) {
            if (value.getCode().equals(rtype)) {
                return value.getOpAfterSaleTypeId();
            }
        }
        return null;
    }

    public static String getOpAfterSaleTypeNameByBizId(Integer rtype) {
        for (FlscAfterSaleTypeEnum value : values()) {
            if (value.getCode().equals(rtype)) {
                return value.getOpAfterSaleTypeName();
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public Integer getOpAfterSaleTypeId() {
        return opAfterSaleTypeId;
    }

    public String getOpAfterSaleTypeName() {
        return opAfterSaleTypeName;
    }


}
