package cn.superdesk.data.extract.enums.flsc;

/**
 * @author xc
 * @description
 * @date 2023/3/22 09:34
 */
public enum FlscThirdAfterSaleStatusEnum {
    待审核(0, "待审核", 2, "售后中", 1, "未完成"),
    已通过(2, "已通过", 3, "售后完成", 2, "已完成"),
    拒绝(3, "拒绝", 4, "售后取消", 2, "已取消"),
    ;
    private final Integer code;
    private final String desc;
    private final Integer opStatusId;//对应运营中心售后状态id
    private final String opStatusDesc;//对应运营中心售后状态名称
    private final Integer opTransactionId;//对应运营中心交易状态id
    private final String opTransactionDesc;//对应运营中心交易状态名称

    FlscThirdAfterSaleStatusEnum(Integer code, String desc, Integer opStatusId, String opStatusDesc, Integer opTransactionId, String opTransactionDesc) {
        this.code = code;
        this.desc = desc;
        this.opStatusId = opStatusId;
        this.opStatusDesc = opStatusDesc;
        this.opTransactionId = opTransactionId;
        this.opTransactionDesc = opTransactionDesc;
    }

    public static Integer getOpStatusIdByBizStatusId(Integer status) {
        for (FlscThirdAfterSaleStatusEnum value : values()) {
            if (value.getCode().equals(status)) {
                return value.getOpStatusId();
            }
        }
        return null;
    }

    public static String getBizOrderStatusDescByBizId(Integer status) {
        for (FlscThirdAfterSaleStatusEnum value : values()) {
            if (value.getCode().equals(status)) {
                return value.getDesc();
            }
        }
        return null;
    }

    public static Integer getOpTransactionIdByBizId(Integer status) {
        for (FlscThirdAfterSaleStatusEnum value : values()) {
            if (value.getCode().equals(status)) {
                return value.getOpTransactionId();
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public Integer getOpStatusId() {
        return opStatusId;
    }

    public String getOpStatusDesc() {
        return opStatusDesc;
    }

    public Integer getOpTransactionId() {
        return opTransactionId;
    }

    public String getOpTransactionDesc() {
        return opTransactionDesc;
    }
}
