package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 业务终端
 * @date 2023/3/17 11:24
 */
public enum OpCenterBizTerminalEnum {

    微信小程序(1, "微信小程序"),
    微信公众号(2, "微信公众号"),
    收银设备(3, "收银设备"),
    服务之窗管家(4, "服务之窗管家"),
    友宝(5, "友宝"),
    管理后台(6, "管理后台"),
    第三方(99, "第三方"),
    ;

    private final Integer code;

    private final String name;

    OpCenterBizTerminalEnum(Integer id, String name) {
        this.code = id;

        this.name = name;
    }

    public Integer getCode() {
        return code;
    }


    public String getName() {
        return name;
    }

    /**
     * 根据id获取name
     */
    public static String getNameById(Integer id) {
        for (OpCenterBizTerminalEnum opCenterBizTerminalEnum : OpCenterBizTerminalEnum.values()) {
            if (opCenterBizTerminalEnum.getCode().equals(id)) {
                return opCenterBizTerminalEnum.getName();
            }
        }
        return null;
    }
}
