package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 商品类型
 * @date 2023/3/22 16:08
 */
public enum OpCenterGoodsTypeEnum {

    商品(1, "商品", "SP"),
    运费(2, "运费", "YF"),
    商户承担运费(3, "运费", "SHYF"),
    赠品(4, "赠品", "ZP"),
    ;

    private final Integer code;
    private final String desc;
    private final String prefix;

    OpCenterGoodsTypeEnum(Integer code, String desc, String prefix) {
        this.code = code;
        this.desc = desc;
        this.prefix = prefix;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public String getPrefix() {
        return prefix;
    }

    /**
     * 根据code获取枚举
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterGoodsTypeEnum e : OpCenterGoodsTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e.getDesc();
            }
        }
        return null;
    }
}
