package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 是否套餐
 * @date 2023/3/22 16:05
 */
public enum OpCenterIsPackageEnum {
    套餐(1, "套餐类型"),
    非套餐(0, "非套餐"),
    ;

    private final Integer code;
    private final String desc;

    OpCenterIsPackageEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterIsPackageEnum opCenterIsPackageEnum : OpCenterIsPackageEnum.values()) {
            if (opCenterIsPackageEnum.getCode().equals(code)) {
                return opCenterIsPackageEnum.getDesc();
            }
        }
        return null;
    }
}
