package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心 - 平台售后状态
 * @date 2023/3/20 14:30
 */
public enum OpCenterPlatformAftersaleStatusEnum {
    未售后(1, "未售后"),
    售后中(2, "售后中"),
    售后完成(3, "售后完成"),
    售后取消(4, "售后取消"),
    ;

    private final Integer code;
    private final String desc;


    OpCenterPlatformAftersaleStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     * @param code
     * @return
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterPlatformAftersaleStatusEnum opCenterPlatformAftersaleStatusEnum : OpCenterPlatformAftersaleStatusEnum.values()) {
            if (opCenterPlatformAftersaleStatusEnum.getCode().equals(code)) {
                return opCenterPlatformAftersaleStatusEnum.getDesc();
            }
        }
        return null;
    }
}
