package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 订单交易状态
 * @date 2023/3/20 15:35
 */
public enum OpCenterTransactionStatusEnum {
    未完成(1, "未完成"),
    已完成(2, "已完成"),
    已取消(3, "已取消"),
    ;

    private final Integer code;
    private final String desc;

    OpCenterTransactionStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterTransactionStatusEnum opCenterTransactionStatusEnum : OpCenterTransactionStatusEnum.values()) {
            if (opCenterTransactionStatusEnum.getCode().equals(code)) {
                return opCenterTransactionStatusEnum.getDesc();
            }
        }
        return null;
    }
}
