package cn.superdesk.data.extract.entity.flsc;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_jd_vop_order_submit_order")
public class FlscJdVopOrderSubmitOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 1为父
     */
    @TableField("isparent")
    private Integer isparent;

    @TableField("order_id")
    private Integer orderId;

    /**
     * 第三方的订单单号
     */
    @TableField("thirdOrder")
    private String thirdorder;

    /**
     * [{"skuId":商品编号, "num":商品数量,"bNeedAnnex":true, "bNeedGift":true, "price":100, "yanbao":[{"skuId":商品编号}]}] (最高支持50种商品)
     */
    @TableField("sku")
    private String sku;

    /**
     * 收货人
     */
    @TableField("name")
    private String name;

    /**
     * 一级地址
     */
    @TableField("province")
    private Integer province;

    /**
     * 二级地址
     */
    @TableField("city")
    private Integer city;

    /**
     * 三级地址
     */
    @TableField("county")
    private Integer county;

    /**
     * 四级地址 (如果该地区有四级地址，则必须传递四级地址，没有四级地址则传0)
     */
    @TableField("town")
    private Integer town;

    /**
     * 详细地址
     */
    @TableField("address")
    private String address;

    /**
     * 邮编
     */
    @TableField("zip")
    private String zip;

    /**
     * 座机号
     */
    @TableField("phone")
    private String phone;

    /**
     * 手机号
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 邮箱
     */
    @TableField("email")
    private String email;

    /**
     * 备注（少于100字）
     */
    @TableField("remark")
    private String remark;

    /**
     * 开票方式(1为随货开票，0为订单预借，2为集中开票 )
     */
    @TableField("invoiceState")
    private Integer invoicestate;

    /**
     * 1普通发票2增值税发票
     */
    @TableField("invoiceType")
    private Integer invoicetype;

    /**
     * 发票类型：4个人，5单位
     */
    @TableField("selectedInvoiceTitle")
    private Integer selectedinvoicetitle;

    /**
     * 发票抬头 (如果selectedInvoiceTitle=5则此字段必须)
     */
    @TableField("companyName")
    private String companyname;

    /**
     * 1:明细，3：电脑配件，19:耗材，22：办公用品 备注:若增值发票则只能选1 明细
     */
    @TableField("invoiceContent")
    private Integer invoicecontent;

    /**
     * 支付方式 (1：货到付款，2：邮局付款，4：在线支付，5：公司转账，6：银行转账，7：网银钱包，101：金采支付)
     */
    @TableField("paymentType")
    private Integer paymenttype;

    /**
     * 使用余额paymentType=4时，此值固定是1 其他支付方式0
     */
    @TableField("isUseBalance")
    private Integer isusebalance;

    /**
     * 是否预占库存，0是预占库存（需要调用确认订单接口），1是不预占库存 金融支付必须预占库存传0
     */
    @TableField("submitState")
    private Integer submitstate;

    /**
     * 增值票收票人姓名 备注：当invoiceType=2 且invoiceState=1时则此字段必填
     */
    @TableField("invoiceName")
    private Integer invoicename;

    /**
     * 增值票收票人电话 备注：当invoiceType=2 且invoiceState=1时则此字段必填
     */
    @TableField("invoicePhone")
    private Integer invoicephone;

    /**
     * 增值票收票人所在省(京东地址编码) 备注：当invoiceType=2 且invoiceState=1时则此字段必填
     */
    @TableField("invoiceProvice")
    private Integer invoiceprovice;

    /**
     * 增值票收票人所在市(京东地址编码) 备注：当invoiceType=2 且invoiceState=1时则此字段必填
     */
    @TableField("invoiceCity")
    private Integer invoicecity;

    /**
     * 增值票收票人所在区/县(京东地址编码) 备注：当invoiceType=2 且invoiceState=1时则此字段必填
     */
    @TableField("invoiceCounty")
    private Integer invoicecounty;

    /**
     * 增值票收票人所在地址 备注：当invoiceType=2 且invoiceState=1时则此字段必填
     */
    @TableField("invoiceAddress")
    private Integer invoiceaddress;

    /**
     * "0: 客户端订单价格快照不做验证对比，还是以京东价格正常下单; 1:必需验证客户端订单价格快照，如果快照与京东价格不一致返回下单失败，需要更新商品价格后，重新下单;"
     */
    @TableField("doOrderPriceMode")
    private Integer doorderpricemode;

    /**
     * 客户端订单价格快照	 "Json格式的数据，格式为:[{""price"":21.30,"skuId":123123 },{ "price":99.55, "skuId":22222 }] //商品价格 ,类型：BigDecimal" //商品编号,类型：long
     */
    @TableField("orderPriceSnap")
    private String orderpricesnap;

    /**
     * 大家电配送日期	 | 	默认值为-1，0表示当天，1表示明天，2：表示后天; 如果为-1表示不使用大家电预约日历
     */
    @TableField("reservingDate")
    private Integer reservingdate;

    /**
     * 大家电安装日期	 | 	不支持默认按-1处理，0表示当天，1表示明天，2：表示后天
     */
    @TableField("installDate")
    private Integer installdate;

    /**
     * 大家电是否选择了安装	 | 	是否选择了安装，默认为true，选择了“暂缓安装”，此为必填项，必填值为false。
     */
    @TableField("needInstall")
    private Integer needinstall;

    /**
     * 中小件配送预约日期	 | 	格式：yyyy-MM-dd
     */
    @TableField("promiseDate")
    private String promisedate;

    /**
     * 中小件配送预约时间段	 | 	时间段如： 9:00-15:00
     */
    @TableField("promiseTimeRange")
    private String promisetimerange;

    /**
     * 中小件预约时间段的标记
     */
    @TableField("promiseTimeRangeCode")
    private Integer promisetimerangecode;

    /**
     * createtime
     */
    @TableField("createtime")
    private Integer createtime;

    /**
     * updatetime
     */
    @TableField("updatetime")
    private Integer updatetime;

    /**
     * api response
     */
    @TableField("response")
    private String response;

    @TableField("jd_vop_success")
    private Boolean jdVopSuccess;

    @TableField("jd_vop_resultMessage")
    private String jdVopResultmessage;

    @TableField("jd_vop_resultCode")
    private String jdVopResultcode;

    @TableField("jd_vop_code")
    private Integer jdVopCode;

    /**
     * 京东订单编号
     */
    @TableField("jd_vop_result_jdOrderId")
    private String jdVopResultJdorderid;

    /**
     * 运费(合同配置了才返回此字段)
     */
    @TableField("jd_vop_result_freight")
    private BigDecimal jdVopResultFreight;

    /**
     * 商品总价格
     */
    @TableField("jd_vop_result_orderPrice")
    private BigDecimal jdVopResultOrderprice;

    /**
     * 订单裸价
     */
    @TableField("jd_vop_result_orderNakedPrice")
    private BigDecimal jdVopResultOrdernakedprice;

    /**
     * 订单税额
     */
    @TableField("jd_vop_result_orderTaxPrice")
    private BigDecimal jdVopResultOrdertaxprice;

    /**
     * 订单反查标记
     */
    @TableField("checking_by_third")
    private Integer checkingByThird;

    /**
     * 反查之后更新orderState
     */
    @TableField("jd_vop_recheck_orderState")
    private Integer jdVopRecheckOrderstate;

    /**
     * 反查之后更新submitState
     */
    @TableField("jd_vop_recheck_submitState")
    private Integer jdVopRecheckSubmitstate;

    /**
     * 用于拆单
     */
    @TableField("jd_vop_recheck_pOrder")
    private String jdVopRecheckPorder;

    /**
     * 1第一次拆单    2第二次或第二次起拆单
     */
    @TableField("check_push_order")
    private Boolean checkPushOrder;

    /**
     * 京东vop账号id，关联ims_superdesk_jd_vop_configs
     */
    @TableField("jd_vop_id")
    private Integer jdVopId;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
