package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 品牌
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_brand")
public class FlscShopBrand implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 品牌全称
     */
    @TableField("full_name")
    private String fullName;

    /**
     * 品牌名称（简称）
     */
    @TableField("name")
    private String name;

    /**
     * 图标
     */
    @TableField("icon")
    private String icon;

    /**
     * 简介
     */
    @TableField("summary")
    private String summary;

    /**
     * 排序，越大越靠前
     */
    @TableField("sort")
    private Integer sort;

    /**
     * 状态，0：关闭，1：开放
     */
    @TableField("state")
    private Integer state;

    @TableField("create_at")
    private Integer createAt;

    @TableField("update_at")
    private Integer updateAt;

    @TableField("link")
    private String link;

    /**
     * 跳转类型 1专区 2分类 3商品 4其他链接 99小程序内部地址 44周边商户 120品牌对应的商品列表
     */
    @TableField("link_type")
    private Integer linkType;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
