package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_operators_user")
public class FlscShopOperatorsUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("uniacid")
    private Integer uniacid;

    /**
     * 运营商分组ID
     */
    @TableField("groupid")
    private Integer groupid;

    /**
     * 运营商编号
     */
    @TableField("operators_no")
    private String operatorsNo;

    /**
     * 运营商名
     */
    @TableField("operators_name")
    private String operatorsName;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    /**
     * 实名
     */
    @TableField("realname")
    private String realname;

    /**
     * 手机号
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 状态 1 允许入驻 2 暂停 3 即将到期
     */
    @TableField("status")
    private Integer status;

    /**
     * 帐号表ID
     */
    @TableField("accountid")
    private Integer accountid;

    /**
     * 可以开多少子帐号
     */
    @TableField("accounttotal")
    private Integer accounttotal;

    /**
     * 服务时间，默认1年
     */
    @TableField("accounttime")
    private Integer accounttime;

    /**
     * 审核时间
     */
    @TableField("applytime")
    private Integer applytime;

    /**
     * 加入时间
     */
    @TableField("jointime")
    private Integer jointime;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 运营商基础设置
     */
    @TableField("sets")
    private String sets;

    /**
     * 运营商支付设置
     */
    @TableField("payment")
    private String payment;

    /**
     * 电话
     */
    @TableField("tel")
    private String tel;

    /**
     * 经度
     */
    @TableField("lat")
    private String lat;

    /**
     * 标志
     */
    @TableField("logo")
    private String logo;

    /**
     * 纬度
     */
    @TableField("lng")
    private String lng;

    /**
     * 介绍
     */
    @TableField("`desc`")
    private String desc;

    @TableField("createtime")
    private Integer createtime;

    @TableField("updatetime")
    private Integer updatetime;

    /**
     * 客服电话
     */
    @TableField("servicePhone")
    private String servicephone;

    /**
     * 协议价比例
     */
    @TableField("price_ratio")
    private BigDecimal priceRatio;

    /**
     * 该运营商下用户允许再送一份，1：允许，0：禁止
     */
    @TableField("allow_copy_order")
    private Integer allowCopyOrder;

    /**
     * 是否开启校验员工号，1：是，0：否
     */
    @TableField("check_employee_number")
    private Integer checkEmployeeNumber;

    /**
     * 小程序标题
     */
    @TableField("xcx_title")
    private String xcxTitle;

    /**
     * 是否同步主站商品到运营商，0：否，1：是
     */
    @TableField("is_sync_goods")
    private Integer isSyncGoods;

    /**
     * 运营商分类补充记录
     */
    @TableField("category_extends")
    private String categoryExtends;

    /**
     * 小程序ID
     */
    @TableField("`key`")
    private String key;

    /**
     * 小程序秘钥
     */
    @TableField("secret")
    private String secret;

    // /**
    //  * 公众号appid
    //  */
    // @TableField("wechat_appid")
    // private String wechatAppid;
    //
    // /**
    //  * 公众号secret
    //  */
    // @TableField("wechat_secret")
    // private String wechatSecret;

    /**
     * 是否开启云卡支付  0关闭  1开启
     */
    @TableField("cloud_card")
    private Integer cloudCard;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
