package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_order")
public class FlscShopOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 应用ID，福利商城固定17
     */
    @TableField("uniacid")
    private Integer uniacid;

    /**
     * 用户openID，跟shop_member表同步
     */
    @TableField("openid")
    private String openid;

    /**
     * 代理ID
     */
    @TableField("agentid")
    private Integer agentid;

    /**
     * 订单号
     */
    @TableField("ordersn")
    private String ordersn;

    /**
     * 应收款 订单金额(含运费)
     */
    @TableField("price")
    private BigDecimal price;

    /**
     * 商品金额
     */
    @TableField("goodsprice")
    private BigDecimal goodsprice;

    /**
     * 会员折扣
     */
    @TableField("discountprice")
    private BigDecimal discountprice;

    /**
     * 状态 -1取消状态（交易关闭），0普通状态（没付款: 待付款 ; 付了款: 待发货），1 买家已付款（待发货），2 卖家已发货（待收货），3 成功（可评价: 等待评价 ; 不可评价 : 交易完成）
     */
    @TableField("`status`")
    private Integer status;

    /**
     * 1：余额支付，11：后台支付，21：微信支付，24：组合支付，25：云闪付，26：饭卡支付，31：华侨城酒店积分支付，40：餐卡支付，41：餐卡组合支付
     */
    @TableField("paytype")
    private Integer paytype;

    /**
     * 微信支付单号
     */
    @TableField("transid")
    private String transid;

    /**
     * 买家备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 地址ID
     */
    @TableField("addressid")
    private Integer addressid;

    /**
     * 运费
     */
    @TableField("dispatchprice")
    private BigDecimal dispatchprice;

    /**
     * 配送方式ID
     */
    @TableField("dispatchid")
    private Integer dispatchid;

    /**
     * 建立时间
     */
    @TableField("createtime")
    private Integer createtime;

    /**
     * 0 商家配送 1 自提
     */
    @TableField("dispatchtype")
    private Integer dispatchtype;

    /**
     * 自提联系人信息
     */
    @TableField("carrier")
    private String carrier;

    /**
     * 退款申请ID 退款申请处理后清0
     */
    @TableField("refundid")
    private Integer refundid;

    /**
     * 评价状态 status 3,4 后允许评价 0 可评价 1 可追加评价 2 已评价
     */
    @TableField("iscomment")
    private Integer iscomment;

    /**
     * 积分赠送
     */
    @TableField("creditadd")
    private Integer creditadd;

    /**
     * 删除
     */
    @TableField("deleted")
    private Integer deleted;

    /**
     * 用户删除
     */
    @TableField("userdeleted")
    private Integer userdeleted;

    /**
     * 交易完成时间
     */
    @TableField("finishtime")
    private Integer finishtime;

    /**
     * 支付时间
     */
    @TableField("paytime")
    private Integer paytime;

    /**
     * 快递公司
     */
    @TableField("expresscom")
    private String expresscom;

    /**
     * 快递单号
     */
    @TableField("expresssn")
    private String expresssn;

    /**
     * 快递
     */
    @TableField("express")
    private String express;

    /**
     * 发货时间
     */
    @TableField("sendtime")
    private Integer sendtime;

    /**
     * 预计到货时间
     */
    @TableField("finish_maybe_time")
    private Integer finishMaybeTime;

    /**
     * 打包时间？
     */
    @TableField("fetchtime")
    private Integer fetchtime;

    /**
     * 现付 货到付款？
     */
    @TableField("cash")
    private Integer cash;

    /**
     * 取消时间
     */
    @TableField("canceltime")
    private Integer canceltime;

    /**
     * 取消支付时间
     */
    @TableField("cancelpaytime")
    private Integer cancelpaytime;

    /**
     * 退款时间退款申请后 >0 即为已退款订单
     */
    @TableField("refundtime")
    private Integer refundtime;

    /**
     * 核销
     */
    @TableField("isverify")
    private Integer isverify;

    /**
     * 确认使用核销
     */
    @TableField("verified")
    private Integer verified;

    /**
     * 核销人
     */
    @TableField("verifyopenid")
    private String verifyopenid;

    /**
     * 核销时间
     */
    @TableField("verifytime")
    private Integer verifytime;

    /**
     * 核销码
     */
    @TableField("verifycode")
    private String verifycode;

    /**
     * 核销门店
     */
    @TableField("verifystoreid")
    private Integer verifystoreid;

    /**
     * 积分抵扣
     */
    @TableField("deductprice")
    private BigDecimal deductprice;

    /**
     * 积分抵扣
     */
    @TableField("deductcredit")
    private Integer deductcredit;

    /**
     * 余额抵扣
     */
    @TableField("deductcredit2")
    private BigDecimal deductcredit2;

    /**
     * 满额优惠
     */
    @TableField("deductenough")
    private BigDecimal deductenough;

    /**
     * 虚拟物品id
     */
    @TableField("`virtual`")
    private Integer virtual;

    /**
     * 虚拟物品信息
     */
    @TableField("virtual_info")
    private String virtualInfo;

    /**
     * 虚拟物品字串
     */
    @TableField("virtual_str")
    private String virtualStr;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    /**
     * 系统删除
     */
    @TableField("sysdeleted")
    private Integer sysdeleted;

    /**
     * 改价次数 限制99以内，支付订单号时会增加 GJ + 此号
     */
    @TableField("ordersn2")
    private Integer ordersn2;

    /**
     * 订单改价金额
     */
    @TableField("changeprice")
    private BigDecimal changeprice;

    /**
     * 运费改价
     */
    @TableField("changedispatchprice")
    private BigDecimal changedispatchprice;

    /**
     * 原订单金额（含运费）
     */
    @TableField("oldprice")
    private BigDecimal oldprice;

    /**
     * 原运费
     */
    @TableField("olddispatchprice")
    private BigDecimal olddispatchprice;

    /**
     * 是虚拟物品
     */
    @TableField("isvirtual")
    private Integer isvirtual;

    /**
     * 优惠券ID
     */
    @TableField("couponid")
    private Integer couponid;

    /**
     * 优惠券价格
     */
    @TableField("couponprice")
    private BigDecimal couponprice;

    /**
     * 自定义表单数据
     */
    @TableField("diyformdata")
    private String diyformdata;

    /**
     * 自定义表单字段
     */
    @TableField("diyformfields")
    private String diyformfields;

    /**
     * 自定义表单ID
     */
    @TableField("diyformid")
    private Integer diyformid;

    /**
     * 自提门店ID
     */
    @TableField("storeid")
    private Integer storeid;

    /**
     * 订单取消原因
     */
    @TableField("closereason")
    private String closereason;

    /**
     * 卖家备注
     */
    @TableField("remarksaler")
    private String remarksaler;

    /**
     * 快递单打印状态 0 未 >0 多次
     */
    @TableField("printstate")
    private Boolean printstate;

    /**
     * 发货单打印状态 0 未 >0 多次
     */
    @TableField("printstate2")
    private Boolean printstate2;

    /**
     * 发货人地址信息
     */
    @TableField("address_send")
    private String addressSend;

    /**
     * 退款状态
     */
    @TableField("refundstate")
    private Integer refundstate;

    /**
     * 订单关闭备注
     */
    @TableField("remarkclose")
    private String remarkclose;

    /**
     * 卖家备注
     */
    @TableField("remarksend")
    private String remarksend;

    /**
     * 是否流量充值
     */
    @TableField("ismr")
    private Integer ismr;

    /**
     * 折扣价
     */
    @TableField("isdiscountprice")
    private BigDecimal isdiscountprice;

    /**
     * 自动发货
     */
    @TableField("isvirtualsend")
    private Boolean isvirtualsend;

    /**
     * 自动发货信息
     */
    @TableField("virtualsend_info")
    private String virtualsendInfo;

    /**
     * 线下核销信息 如核销时间，核销人等
     */
    @TableField("verifyinfo")
    private String verifyinfo;

    /**
     * 线下核销类型 0 按订单核销 1 按次核销 2 按消费码核销
     */
    @TableField("verifytype")
    private Boolean verifytype;

    /**
     * 消费码集合
     */
    @TableField("verifycodes")
    private String verifycodes;

    /**
     * 发票ID
     */
    @TableField("invoiceid")
    private Integer invoiceid;

    /**
     * 发票
     */
    @TableField("invoice")
    private String invoice;

    /**
     * 商户ID
     */
    @TableField("merchid")
    private Integer merchid;

    /**
     * 是否商户
     */
    @TableField("ismerch")
    private Boolean ismerch;

    /**
     * 父订单ID
     */
    @TableField("parentid")
    private Integer parentid;

    /**
     * 是父订单
     */
    @TableField("isparent")
    private Integer isparent;

    /**
     * 商品实际支付金额
     */
    @TableField("grprice")
    private BigDecimal grprice;

    /**
     * 商户显示
     */
    @TableField("merchshow")
    private Boolean merchshow;

    /**
     * 商户满减
     */
    @TableField("merchdeductenough")
    private BigDecimal merchdeductenough;

    /**
     * 商户优惠券
     */
    @TableField("couponmerchid")
    private Integer couponmerchid;

    @TableField("isglobonus")
    private Integer isglobonus;

    /**
     * 商户申请
     */
    @TableField("merchapply")
    private Boolean merchapply;

    /**
     * 参与分红
     */
    @TableField("isabonus")
    private Integer isabonus;

    /**
     * 借用支付
     */
    @TableField("isborrow")
    private Integer isborrow;

    /**
     * 借用支付openid
     */
    @TableField("borrowopenid")
    private String borrowopenid;

    /**
     * 商户折扣价格
     */
    @TableField("merchisdiscountprice")
    private BigDecimal merchisdiscountprice;

    /**
     * app支付，h5支付时为1
     */
    @TableField("apppay")
    private Integer apppay;

    /**
     * 作者ID
     */
    @TableField("authorid")
    private Integer authorid;

    /**
     * 是否作者
     */
    @TableField("isauthor")
    private Boolean isauthor;

    /**
     * 优惠商品价格
     */
    @TableField("coupongoodprice")
    private BigDecimal coupongoodprice;

    /**
     * 复购价格
     */
    @TableField("buyagainprice")
    private BigDecimal buyagainprice;

    /**
     * 是否套餐
     */
    @TableField("ispackage")
    private Integer ispackage;

    /**
     * 套餐ID
     */
    @TableField("packageid")
    private Integer packageid;

    /**
     * 任务折扣价
     */
    @TableField("taskdiscountprice")
    private BigDecimal taskdiscountprice;

    /**
     * 订单来源(wechat,pc)
     */
    @TableField("source_from")
    private String sourceFrom;

    /**
     * 下单时的项目名称
     */
    @TableField("member_enterprise_name")
    private String memberEnterpriseName;

    /**
     * 下单时的企业id
     */
    @TableField("member_enterprise_id")
    private Integer memberEnterpriseId;

    /**
     * 下单时的项目id
     */
    @TableField("member_organization_id")
    private Integer memberOrganizationId;

    /**
     * 分类企业折扣
     */
    @TableField("category_enterprise_discount")
    private BigDecimal categoryEnterpriseDiscount;

    /**
     * 智臻、网易严选的订单号
     */
    @TableField("yxPackageId")
    private String yxpackageid;

    /**
     * 对应shop_order_cancel表的status,0为未申请
     */
    @TableField("cancel_status")
    private Integer cancelStatus;

    /**
     * 取消表id
     */
    @TableField("cancelid")
    private Integer cancelid;

    /**
     * 是否已经发送收货提醒(0否1是)
     */
    @TableField("remind_delivery")
    private Integer remindDelivery;

    /**
     * 客户要求到货时间
     */
    @TableField("need_finish_time")
    private Integer needFinishTime;

    /**
     * 组合支付中使用的余额
     */
    @TableField("comb_pay_credit")
    private BigDecimal combPayCredit;

    /**
     * 是否楼宇之窗微信支付
     */
    @TableField("is_build_window_pay")
    private Integer isBuildWindowPay;

    /**
     * 组合支付总单id
     */
    @TableField("bw_pay_order_id")
    private Integer bwPayOrderId;

    /**
     * 运营商id
     */
    @TableField("operators_id")
    private Integer operatorsId;

    /**
     * 是否拆单发货
     */
    @TableField("send_apart")
    private Integer sendApart;

    /**
     * 是否再送一份，1：是，0：否
     */
    @TableField("copy_goods")
    private Integer copyGoods;

    /**
     * 新运营商支付attach数据
     */
    @TableField("pay_attach")
    private String payAttach;

    /**
     * 新运营商支付加密后商户订单号
     */
    @TableField("pay_encrypt_orderno")
    private String payEncryptOrderno;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;

    // /**
    //  * 到家汇主订单编号
    //  */
    // @TableField("djhmasterCode")
    // private String djhmastercode;
    //
    // /**
    //  * 到家汇包裹编号
    //  */
    // @TableField("djhparcelCode")
    // private String djhparcelcode;
    //
    // /**
    //  * ⼦订单编号集，多个⽤","隔开
    //  */
    // @TableField("djhorderCode")
    // private String djhordercode;
    //
    // /**
    //  * 0未发送  1已发送确认
    //  */
    // @TableField("djh_send_confirm")
    // private Boolean djhSendConfirm;


}
