package cn.superdesk.data.extract.entity.opCenter;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 运营中心-平台支付方式主表
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_operation_center_payment")
public class OperationCenterPayment implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 平台支付方式名称
     */
    @TableField("name")
    private String name;

    /**
     * 是否组合支付 0-否 1-是
     */
    @TableField("is_combined")
    private Integer isCombined;

    /**
     * 关联运营商类型 0-不关联 1-关联所有运营商 3-关联指定运营商
     */
    @TableField("associate_type")
    private Integer associateType;

    /**
     * 启用状态 0-停用 1-启用
     */
    @TableField("enabled")
    private Integer enabled;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 创建人id
     */
    @TableField("create_user_id")
    private Long createUserId;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField("update_user_id")
    private Long updateUserId;

    /**
     * 删除状态 0-未删除 1-已删除
     */
    @TableField("deleted")
    private Integer deleted;


}
