package cn.superdesk.data.extract.entity.opCenter;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 运营中心-运营商表
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("unified_operators")
@Builder(toBuilder = true)
public class UnifiedOperators implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 运营商名称
     */
    @TableField("name")
    private String name;

    /**
     * 业务平台编码
     */
    @TableField("biz_platform_code")
    private String bizPlatformCode;

    /**
     * 业务平台名称
     */
    @TableField("biz_platform_name")
    private String bizPlatformName;

    /**
     * 业务方运营商编号
     */
    @TableField("biz_operator_code")
    private String bizOperatorCode;

    /**
     * 业务方运营商id
     */
    @TableField("biz_operator_id")
    private String bizOperatorId;

    /**
     * 联系人
     */
    @TableField("contact")
    private String contact;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 经度
     */
    @TableField("longitude")
    private String longitude;

    /**
     * 纬度
     */
    @TableField("latitude")
    private String latitude;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField("create_user_id")
    private Long createUserId;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;

    /**
     * 更新人
     */
    @TableField("update_user_id")
    private Long updateUserId;

    /**
     * 是否删除 0-未删除 1-已删除
     */
    @TableField("deleted")
    private Integer deleted;


}
