package cn.superdesk.data.extract.service.flsc;

import cn.superdesk.data.extract.entity.flsc.FlscShopOrder;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterOrder;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterOrderGoods;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
public interface FlscShopOrderService extends IService<FlscShopOrder> {

    /**
     * 全量处理福利商城正单订单数据
     * 包含 福利商城、前台优选、京东订单
     */
    void handleAllOrder();

    /**
     * 根据福利商城订单 构建 运营中心订单
     *
     * @param flscShopOrder
     * @return
     */
    OperationCenterOrder buildOpCenterOrderFromFlscOrder(FlscShopOrder flscShopOrder);

    /**
     * 根据福利商城订单 构造 运费商品
     *
     * @param flscShopOrder
     * @param operationCenterOrder
     * @return
     */
    OperationCenterOrderGoods buildOperationCenterFreightOrderGoods(FlscShopOrder flscShopOrder, OperationCenterOrder operationCenterOrder);

    /**
     * 根据福利商城订单 构造 商户承担运费商品
     *
     * @param flscShopOrder
     * @param operationCenterOrder
     * @param merchantTransportAmount
     * @return
     */
    OperationCenterOrderGoods buildOperationCenterMerchantFreightOrderGoods(FlscShopOrder flscShopOrder, OperationCenterOrder operationCenterOrder, BigDecimal merchantTransportAmount);
}
