package cn.superdesk.data.extract.service.impl.opCenter;

import cn.superdesk.data.extract.entity.opCenter.OperationCenterPayment;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterPaymentBiz;
import cn.superdesk.data.extract.mapper.opCenter.OperationCenterPaymentBizMapper;
import cn.superdesk.data.extract.mapper.opCenter.OperationCenterPaymentMapper;
import cn.superdesk.data.extract.service.opCenter.OperationCenterPaymentBizService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 运营中心-平台支付方式-业务方支付方式映射关系表 服务实现类
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Service
@RequiredArgsConstructor
@Slf4j
public class OperationCenterPaymentBizServiceImpl extends ServiceImpl<OperationCenterPaymentBizMapper, OperationCenterPaymentBiz> implements OperationCenterPaymentBizService {
    private final OperationCenterPaymentBizMapper operationCenterPaymentBizMapper;
    private final OperationCenterPaymentMapper operationCenterPaymentMapper;


    /**
     * 根据业务平台编码 & 业务方支付方式id 获取平台支付方式id
     * @param code 业务平台编码
     * @param payType 业务方支付方式id
     * @return
     */
    @Override
    public OperationCenterPayment getPlatformPayment(String code, Integer payType) {
        OperationCenterPaymentBiz operationCenterPaymentBiz = operationCenterPaymentBizMapper.selectOne(Wrappers.<OperationCenterPaymentBiz>lambdaQuery()
                .eq(OperationCenterPaymentBiz::getBizPlatformCode, code)
                .eq(OperationCenterPaymentBiz::getBizPayTypeId, payType));
        if (operationCenterPaymentBiz != null && operationCenterPaymentBiz.getId() != null) {
            return operationCenterPaymentMapper.selectById(operationCenterPaymentBiz.getPaymentId());
        }
        return new OperationCenterPayment();
    }
}
